Messages
Lire le statut d'un turn
GET
/
api
/
partners
/
v1
/
turns
/
{turn_id}
Lire le statut d'un turn
curl --request GET \
--url https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"message": {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answer": "<string>",
"response_type": "<string>",
"cards": [
{}
],
"visualizations": [
{}
],
"sources": [
{
"title": "<string>",
"url": "<string>"
}
],
"suggested_actions": [
{}
],
"metadata": {
"latency_ms": 123
}
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Token utilisateur à courte durée de vie retourné par /tokens.
Path Parameters
Response
État courant du traitement
⌘I
Lire le statut d'un turn
curl --request GET \
--url https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gpt-de-babi.perfproai.com/api/partners/v1/turns/{turn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"message": {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answer": "<string>",
"response_type": "<string>",
"cards": [
{}
],
"visualizations": [
{}
],
"sources": [
{
"title": "<string>",
"url": "<string>"
}
],
"suggested_actions": [
{}
],
"metadata": {
"latency_ms": 123
}
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}